// HP PCL Management
// By Steven Lawrance

#include <stdio.h>
#include <string.h>

void main(int argc, char * argv[])
{
  printf("HP PCL Management Utility\nBy Steven Lawrance\n\n");
  if (argc > 1)
  {
	 char Command[20];
	 char Printer[10];
	 memset(Command, NULL, 20);
	 memset(Printer, NULL, 10);
	 Printer[0] = 27;
	 strupr(argv[1]);  
	 switch (argv[1][0])
	 {
		case 'O' :
		{
		  strcpy(Command, "Eject");
		  strcat(Printer, "&l0H");
		  break;
		}
		case 'E' :
		{
		  strcpy(Command, "Envelope Load");
		  strcat(Printer, "&l3H");
		  break;
		}
		case 'I' :
		{
		  strcpy(Command, "Paper Load");
		  strcat(Printer, "&l1H");
		  break;
		}
	 }
	 printf("Sending %s Command to Printer...", Command);
	 if (fprintf(stdprn, Printer) == EOF)
		printf("\nProblem Sending \"%s\"!\n\n", Printer);
	 else
		printf("\n\n");
  }
  else
  {
	 printf("Use these parameters to control your HP PCL printer on device PRN:\n");
	 printf("%s O       This Ejects The Page\n", argv[0]);
	 printf("%s E       This Loads An Envelope\n", argv[0]);
	 printf("%s I       This Loads A Page\n\n", argv[0]);
	 printf("Note: HP PCL is a language by Hewlett-Packard Company\n\n");
  }
}

